Subject: Re: bug#50677: [PATCH] Minetest basic_materials really depends on moreores

From: Maxime Devos <[email-masked]>
Date: Sun, 19 Sep 2021 21:11:57 +0200

Vivien Kraus schreef op zo 19-09-2021 om 20:54 [+0200]:
> Hello,
> 
> Le dimanche 19 septembre 2021 à 19:40 +0200, Maxime Devos a écrit :
> > > + (version "v2.1.0")
> > 
> > Versions in guix don't use any leading "v" prefix.  If I'm not
> > mistaken,
> > Ludovic applied the patched to remove them automatically.
> Right, I just had not guix pulled lately, I confirm it works with a
> more recent guix version.
> 
> > > /share/minetest/mods/moreores/_config.txt
> > 
> > Is this "_config.txt" file moreores-specific?  If not, maybe
> > minetest-mod-build-system
> > could be modified to install these files by default?
> I don’t know, but a quick web search for:
> 
>    minetest mod "_config.txt"
> 
> gave me 2 hits, one for moreores, and one for moreblocks, by the same
> author. I supposed it is an author preference.

I found a use of "config.txt" (https://forum.minetest.net/viewtopic.php?t=2290),
"settingstypes.txt" (https://github.com/NathanSalapat/more_fire/blob/master/settingtypes.txt)
and another "_config.txt" (https://forum.minetest.net/viewtopic.php?t=25275).

"settingstypes.txt" is already in mod-install-plan (guix build minetest-build-system).
I suppose you can add "config.txt" and "_config.txt" as well.

Greetings,
Maxime.